Instrument Instance
Get a list of Instrument objects. Instruments have a 1:1 mapping with Observations.
### Available end points:
- `/instruments/` - Will list all Instruments in the database
- `/instruments.json` - Will return all Instruments in json format
- `/instruments/<object_id>/` - Returns Instruments object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `instrumentType`
### How to use filters:
- `/instruments/?title__startwith!=Instrument.title: DETAILS NEEDED`
- `/instruments/?uuid=c7fa005e2095425392b18adbd7b40617`
- `/instruments.json?instrumentType=radiometer`
GET /api/v2/instruments/7074/?format=api
{ "ob_id": 7074, "uuid": "f86773d5bb394f9eb8380f553133f168", "title": "Birmingham: portable automatic weather station (AWS)", "abstract": "Weather station\r\n\r\nFor ACSOE campaign, measurements from this instrument are recorded in files with naming convention of ccyymmdd.mt8 where cc is the platform (e.g. mh is Mace Head), yy is the two digit year, mm is the two digit month and dd is the two digit day.", "keywords": "", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4619/?format=api" ], "instrumentType": "instrument", "subInstrument": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29984/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29985/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140980/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140981/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55173/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48969/?format=api" ] }